Debian DSA-4122-1 : squid3 - security update

Medium Nessus Plugin ID 106957

Synopsis

The remote Debian host is missing a security-related update.

Description

Several vulnerabilities have been discovered in Squid3, a fully featured web proxy cache. The Common Vulnerabilities and Exposures project identifies the following issues :

- CVE-2018-1000024 Louis Dion-Marcil discovered that Squid does not properly handle processing of certain ESI responses. A remote server delivering certain ESI response syntax can take advantage of this flaw to cause a denial of service for all clients accessing the Squid service. This problem is limited to the Squid custom ESI parser.

- CVE-2018-1000027 Louis Dion-Marcil discovered that Squid is prone to a denial of service vulnerability when processing ESI responses or downloading intermediate CA certificates. A remote attacker can take advantage of this flaw to cause a denial of service for all clients accessing the Squid service.

Solution

Upgrade the squid3 packages.

For the oldstable distribution (jessie), these problems have been fixed in version 3.4.8-6+deb8u5.

For the stable distribution (stretch), these problems have been fixed in version 3.5.23-5+deb9u1.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888719

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=888720

https://security-tracker.debian.org/tracker/CVE-2018-1000024

https://security-tracker.debian.org/tracker/CVE-2018-1000027

https://security-tracker.debian.org/tracker/source-package/squid3

https://packages.debian.org/source/jessie/squid3

https://packages.debian.org/source/stretch/squid3

https://www.debian.org/security/2018/dsa-4122

Plugin Details

Severity: Medium

ID: 106957

File Name: debian_DSA-4122.nasl

Version: 3.5

Type: local

Agent: unix

Published: 2018/02/23

Modified: 2018/11/13

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:squid3, cpe:/o:debian:debian_linux:8.0, cpe:/o:debian:debian_linux:9.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Patch Publication Date: 2018/02/23

Reference Information

CVE: CVE-2018-1000024, CVE-2018-1000027

DSA: 4122